# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.codesearch
Class CodeSearchEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<CodeSearchEntry>
                  com.google.gdata.data.codesearch.CodeSearchEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class CodeSearchEntry

extends BaseEntry<CodeSearchEntry>

Used to represent the results of a code query in a single file.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CODESEARCH_CATEGORY` Category used to label entries that contain CodeSearch results.
`static java.lang.String` `CODESEARCH_KIND` Kind term value for CodeSearch codesearch category labels.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`CodeSearchEntry()` Constructs a new CodeSearchEntry instance with the appropriate category to indicate that it is a code search result.
`CodeSearchEntry(BaseEntry sourceEntry)` Constructs a new CodeSearchEntry instance by doing a shallow copy of data from an existing BaseEntry instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Initializes an ExtensionProfile based upon the extensions expected by a CodeSearchEntry.
`File` `getFile()` Returns the Code Search file property.
`java.util.List<Match>` `getMatches()` Returns the list of calendar locations
`Package` `getPackage()` Returns the Code Search file property.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CODESEARCH_KIND

    public static final java.lang.String CODESEARCH_KIND

  Kind term value for CodeSearch codesearch category labels.

  See Also:
    Constant Field Values

### CODESEARCH_CATEGORY

    public static final Category CODESEARCH_CATEGORY

  Category used to label entries that contain CodeSearch results.

Constructor Detail

### CodeSearchEntry

    public CodeSearchEntry()

  Constructs a new CodeSearchEntry instance with the appropriate category to indicate that it is a code search result.

### CodeSearchEntry

    public CodeSearchEntry(BaseEntry sourceEntry)

  Constructs a new CodeSearchEntry instance by doing a shallow copy of data from an existing BaseEntry instance.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Initializes an ExtensionProfile based upon the extensions expected by a CodeSearchEntry.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getFile

    public File getFile()

  Returns the Code Search file property.

### getPackage

    public Package getPackage()

  Returns the Code Search file property.

### getMatches

    public java.util.List<Match> getMatches()

  Returns the list of calendar locations